part of 'rate_product_cubit.dart';

@immutable
abstract class RateProductState {}

class RateProductInitial extends RateProductState {

  @override
  String toString() {
    return 'RateProductInitial{}';
  }
}

class RateProductLoading extends RateProductState {
  @override
  String toString() {
    return 'RateProductLoading{}';
  }
}

class RateProductFailure extends RateProductState {
  final String error;

  RateProductFailure(this.error);

  @override
  String toString() {
    return 'DetailsServiceFailure{error: $error}';
  }
}
